Plugins werden nicht installiert [Gelöst]

Hallo,

bin neu hier und mir nicht ganz sicher ob ich den Beitrag gerade am richtigen Ort poste. Hoffe Ihr könnt mir trotzdem helfen.

Mein Problem ist das sich einige Plugins nicht mehr über den Plugin Manager installieren lassen, obwohl das Popup erscheint in dem die ganze Zeit steht “Plugin wird installiert”.

Ich war mir nicht ganz sicher wie ich dem Problem auf die Schliche kommen konnte und habe folgende Fehlermeldung gefunden, wenn man sich die ganze Sache mal mit den Entwicklertools im Tab Netzwerk anguckt:

Ups! Ein Fehler ist aufgetreten!

Die nachfolgenden Hinweise sollten Ihnen weiterhelfen.

The provided CSRF-Token is invalid. If you’re sure that the request to path “/backend/PluginInstaller/installPlugin” should be valid, the called controller action needs to be whitelisted using the CSRFWhitelistAware interface. in engine/Shopware/Components/CSRFTokenValidator.php on line 110

Stack trace:

 #0 engine/Library/Enlight/Event/Handler/Default.php(91): Shopware\Components\CSRFTokenValidator-\>checkBackendTokenValidation(Object(Enlight\_Controller\_ActionEventArgs)) #1 engine/Library/Enlight/Event/EventManager.php(214): Enlight\_Event\_Handler\_Default-\>execute(Object(Enlight\_Controller\_ActionEventArgs)) #2 engine/Library/Enlight/Controller/Action.php(142): Enlight\_Event\_EventManager-\>notify('Enlight\_Control...', Object(Enlight\_Controller\_ActionEventArgs)) #3 engine/Library/Enlight/Controller/Dispatcher/Default.php(530): Enlight\_Controller\_Action-\>dispatch('installPluginAc...') #4 engine/Library/Enlight/Controller/Front.php(223): Enlight\_Controller\_Dispatcher\_Default-\>dispatch(Object(Enlight\_Controller\_Request\_RequestHttp), Object(Enlight\_Controller\_Response\_ResponseHttp)) #5 engine/Shopware/Kernel.php(189): Enlight\_Controller\_Front-\>dispatch() #6 vendor/symfony/http-kernel/HttpCache/HttpCache.php(491): Shopware\Kernel-\>handle(Object(Symfony\Component\HttpFoundation\Request), 1, true) #7 engine/Shopware/Components/HttpCache/AppCache.php(268): Symfony\Component\HttpKernel\HttpCache\HttpCache-\>forward(Object(Symfony\Component\HttpFoundation\Request), true, NULL) #8 vendor/symfony/http-kernel/HttpCache/HttpCache.php(258): Shopware\Components\HttpCache\AppCache-\>forward(Object(Symfony\Component\HttpFoundation\Request), true) #9 engine/Shopware/Components/HttpCache/AppCache.php(105): Symfony\Component\HttpKernel\HttpCache\HttpCache-\>pass(Object(Symfony\Component\HttpFoundation\Request), true) #10 shopware.php(118): Shopware\Components\HttpCache\AppCache-\>handle(Object(Symfony\Component\HttpFoundation\Request)) #11 {main}

 

Ich habe bereits einen anderen Beitrag gefunden zu dem Thema, da wurde gesagt das es an Google Services oder PayPal Plus liegen könnte. Ich habe das gefühl, dass es bei mir etwas anderes ist. Habe beide Plugins mal deaktiviert und den Cache gelöscht.

Komisch finde ich auch das sich trotzdem einige installieren lassen.

Wäre super wenn ihr mir helfen könnt, vielen Dank im voraus.

Lösch mal den Cache und die Cookies im Browser, vielleicht hilft ja schon das.

und vielleicht das:

 https://forum.shopware.com/search?Search=X-CSRF-Token&sLanguage=1

und: https://developers.shopware.com/developers-guide/csrf-protection/

 

1 Like

Hallo @kulli‍, 

danke für deine Nachricht!

Habe die Lösung gefunden, bei mir lag es tatsächlich am sicherheits Plugin von Shopware.

Beste Grüße

Liam